# PSF-LoginServer - master - net.psforever.objects.vital.resistance.StandardResistanceProfile
PSF - LoginServer - master - net.psforever.objects.vital.resistance.StandardResistanceProfile
Keywords: PSF LoginServer master net.psforever.objects.vital.resistance.StandardResistanceProfile

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vital
  Definition Classes
    objects
-  package resistance
  Definition Classes
    vital
- ResistanceCalculations
- ResistanceProfile
- ResistanceProfileMutators
- ResistanceSelection
- StandardResistanceProfile

t

net.psforever.objects.vital.resistance

# StandardResistanceProfile

###

#### trait StandardResistanceProfile extends ResistanceProfile

The different values for four common methods of modifying incoming damage. Two of the four resistances are directly paired with forms of incoming damage. This is for defining pure accessor functions, based on the assumption that the implementing object's `Definition` is the primary `ResistanceProfile`.

Self Type
  StandardResistanceProfile with PlanetSideGameObject
Source
  StandardResistanceProfile.scala

Linear Supertypes
ResistanceProfile, AnyRef, Any
Known Subclasses
Vehicle, Door, Generator, CaptureFlag, CaptureFlagSocket, IFFLock, Locker, VehicleSpawnPad, Painbox, ResourceSilo, OrbitalShuttle, OrbitalShuttlePad, ShuttleAmenity, Amenity, ProximityTerminal, Terminal, CaptureTerminal, ImplantTerminalMech, SpawnTube, FacilityTurret, InternalTelepad, ProximityTerminalUtility, SpawnTubeUtility, TeleportPadTerminalUtility, TerminalUtility

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. StandardResistanceProfile
2. ResistanceProfile
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def RadiationShielding: Float
   Definition Classes
     StandardResistanceProfile → ResistanceProfile
5.  def Resist(dtype: base.DamageType.Value): Float
   Definition Classes
     ResistanceProfile
6.  def ResistanceAggravated: Int
   Definition Classes
     StandardResistanceProfile → ResistanceProfile
7.  def ResistanceDirectHit: Int
   Definition Classes
     StandardResistanceProfile → ResistanceProfile
8.  def ResistanceSplash: Int
   Definition Classes
     StandardResistanceProfile → ResistanceProfile
9.  def Subtract: DamageProfile
   Definition Classes
     StandardResistanceProfile → ResistanceProfile
10.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
11.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
22.  def toString(): String
    Definition Classes
      AnyRef → Any
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from ResistanceProfile

### Inherited from AnyRef

### Inherited from Any

### Ungrouped